# $Revision: 1.43.2.1 $, $Date: 2006/06/25 14:57:13 $
#
# Conditional build
%bcond_without	xft		# Don't use xft scalable font database
%bcond_without	gnome_print	# Don't use gnome print font database and spooler frontend
%bcond_without	mmx		# Force building without MMX optimazation (Default: auto-detect)
%bcond_with	inkboard	# Enable inkboard support
%bcond_with	relocation	# Enable binary relocation support
#
Summary:	Scalable vector graphics editor
Summary(pl):	Edytor skalowalnej grafiki wektorowej
Name:		inkscape
Version:	0.44
Release:	1
License:	GPL v2, LGPL v2.1
Group:		Applications/Graphics
Source0:	http://dl.sourceforge.net/inkscape/%{name}-%{version}.tar.bz2
# Source0-md5:	f0bf316e15ddc6009976d97388522f85
URL:		http://www.inkscape.org/
BuildRequires:	autoconf >= 2.59-3
BuildRequires:	automake >= 1:1.9.4-2
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	gc-devel >= 6.4
BuildRequires:	gcc-c++ >= 3.0
BuildRequires:	gnome-vfs2-devel >= 2.14.2
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	gtkmm-devel >= 2.4
BuildRequires:	gtkspell-devel >= 2.0
BuildRequires:	intltool >= 0.22
BuildRequires:	libart_lgpl-devel >= 2.3.10
%{?with_gnome_print:BuildRequires:	libgnomeprintui-devel >= 1.116.0}
BuildRequires:	libpng-devel >= 1.2
BuildRequires:	libsigc++-devel >= 2.0.3
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.6.0
BuildRequires:	libxslt-devel >= 1.0.15
%{?with_inkboard:BuildRequires:	loudmouth-devel >= 1.0}
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
%{?with_xft:BuildRequires:	xft-devel}
BuildRequires:	zlib-devel
Requires(post,postun):	shared-mime-info
Requires:	gc >= 6.4
Requires:	gtk+2 >= 2:2.4.0
Requires:	perl-XML-XQL
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inkscape is a program for viewing, making, and editing two-dimensional
vector drawings.

%description -l pl
Inkscape jest programem do przegldania, tworzenia i edycji
dwuwymiarowej grafiki wektorowej.

%prep
%setup -q

%build
%{__libtoolize}
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	%{!?with_xft: --without-xft} \
	%{!?with_gnome_print: --without-gnome-print} \
	%{?with_gnome_print: --with-gnome-print} \
	%{!?with_mmx:--disable-mmx} \
	%{?with_relocation:--enable-binreloc} \
	%{?with_inkboard:--enable-inkboard} \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
umask 022
update-mime-database %{_datadir}/mime >/dev/null 2>&1 ||:
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%postun
umask 022
update-mime-database %{_datadir}/mime >/dev/null 2>&1
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TRANSLATORS
%lang(ca) %doc README.ca.txt
%lang(de) %doc README.de.txt
%lang(es) %doc README.es.txt
%lang(fr) %doc README.fr.txt
%lang(it) %doc README.it.txt
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/inkscape
%{_datadir}/inkscape/[!e]*
%{_datadir}/inkscape/examples
%dir %{_datadir}/inkscape/extensions
%{_datadir}/inkscape/extensions/*.cmd
%{_datadir}/inkscape/extensions/*.inx
%{_datadir}/inkscape/extensions/*.txt
%{_datadir}/inkscape/extensions/*.xslt
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.pl
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.pm
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.py
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.sh
%attr(755,root,root) %{_datadir}/inkscape/extensions/svg_dropshadow
%{_mandir}/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%{_pixmapsdir}/*.png
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: inkscape.spec,v $
Revision 1.43.2.1  2006/06/25 14:57:13  freetz
- 0.44

Revision 1.43  2005/11/21 16:03:15  wolf
- more docs

Revision 1.42  2005/11/21 15:25:45  freetz
- 0.43, inkboard bcond

Revision 1.41  2005/09/12 10:07:42  freetz
- make use of rpm macros

Revision 1.40  2005/08/28 21:58:00  qboosh
- updated to 0.42.2

Revision 1.39  2005/07/31 12:05:45  wolf
- fix extensions
- rel 2

Revision 1.38  2005/07/28 16:51:37  qboosh
- quiet update-mime-database

Revision 1.37  2005/07/27 06:49:10  aredridel
- up to 0.42

Revision 1.36  2005/05/15 00:16:36  ankry
- %post shouldn't fail if no rw permission to /usr

Revision 1.35  2005/02/16 17:16:03  zawadaa
- add BR libxslt-devel

Revision 1.34  2005/02/14 20:14:52  qboosh
- runtime versioned deps (gc, gtk+)

Revision 1.33  2005/02/14 03:17:36  wrobell
- ver. 0.41

Revision 1.32  2005/01/06 20:22:01  qboosh
- ac from Ac is sufficient (it was am issue); removed obsolete todo

Revision 1.31  2005/01/06 09:23:32  wrobell
- newer ac/am tools are required to build the package

Revision 1.30  2005/01/05 22:45:50  havner
- rel 3 for aspell 0.50 rebuild

Revision 1.29  2004/12/28 00:22:05  qboosh
- missing dir, added needed .so symlink to plugin; release 2

Revision 1.28  2004/12/27 22:07:12  qboosh
- BR automake >= 1.7

Revision 1.27  2004/11/30 14:41:27  freetz
- dropped desktop patch (lack of additions in Categories, breaks
  compatibilty, got no real effect and takes extra time to upgrade it)

Revision 1.26  2004/11/30 13:05:54  ankry
- standardized license; is it 'or' or 'partially' another one?

Revision 1.25  2004/11/30 12:57:37  freetz
- builds, works, rel.1, STBR

Revision 1.24  2004/11/30 12:33:07  freetz
- licence update

Revision 1.23  2004/11/30 12:24:35  freetz
- rel. 0.2, update mime database, more %%files, disabled static build,
  remove unused files, desktop patch added

Revision 1.22  2004/11/30 11:45:17  freetz
- TODO added (automake 1.9.x bug)

Revision 1.21  2004/11/30 11:32:56  freetz
- BR: gc-devel, more BR update, relocation bcond added, rel. 0.1

Revision 1.20  2004/11/30 11:18:31  freetz
- started upgrade to 0.40, updated BRs, NFY work in progress, rel. 0.01

Revision 1.19  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.18  2004/09/11 18:03:44  wolf
- correct group
- rel 2

Revision 1.17  2004/09/01 16:21:42  adamg
- s/pld-list/feedback/

Revision 1.16  2004/09/01 16:11:09  adamg
- kill pld.org.pl leftovers

Revision 1.15  2004/07/21 19:00:22  qboosh
- merged changes from DEVEL

Revision 1.14  2004/07/20 17:46:18  aredridel
- up to 0.39

Revision 1.13  2004/06/12 16:27:07  wrobell
- rel. 2

Revision 1.12  2004/06/12 16:26:46  wrobell
- typo

Revision 1.11.2.5  2004/07/18 12:51:24  freetz
- 0.39 final
- %%files, BRs updated, removed redundant bconds
- after some tests will be moved to HEAD

Revision 1.11.2.4  2004/06/22 16:19:32  djurban
- fix gnome print bcond

Revision 1.11.2.3  2004/06/06 12:09:11  freetz
- cosmetics

Revision 1.11.2.2  2004/06/06 11:59:46  freetz
- md5

Revision 1.11.2.1  2004/06/06 11:58:24  freetz
- starting preparation for 0.39 release (20040604 snapshot)
- locale names patch added
- new descriptions, more BRs, bcond fixes, full configure rebuild, misc
  fixes

Revision 1.11  2004/04/12 08:25:42  adamg
- added some bconds' descriptions
- cosmetics in one of the previous changelogs
- release 1

Revision 1.10  2004/04/12 08:15:11  adamg
- updated to 0.38.1

Revision 1.9  2004/02/28 12:26:35  grzegol
- s/BR: libsigc++-devel/libsigc++12-devel/

Revision 1.8  2004/02/18 16:20:22  grabba
- Requires perl-XML-XQL for extensions

Revision 1.7  2004/02/17 17:04:46  cieciwa
- version0.37,
- release 2.

Revision 1.6  2004/02/17 16:28:15  cieciwa
- version 0.37

Revision 1.5  2003/12/17 08:32:15  cieciwa
- rel 1.

Revision 1.4  2003/12/12 11:37:41  cieciwa
- added build conditions.

Revision 1.3  2003/12/12 11:31:27  qboosh
- files list

Revision 1.2  2003/12/12 11:21:35  qboosh
- BRs, descriptions, fixed configure

Revision 1.1  2003/12/12 10:58:45  cieciwa
- initial
